Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.db.jdbc
Class Enums

    java.lang.Object
      |
      +--weblogic.db.jdbc.Enums

public final class Enums
extends java.lang.Object

Class for constants used in dbKona.

Version:
  2.0
Author:
  Copyright (c) 1995-97 by Weblogic, Inc., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `AFTERDELETE` Constant for trigger state after a delete is executed.
`static int` | `AFTERINSERT` Constant for trigger state after an insert is executed.
`static int` | `AFTERUPDATE` Constant for trigger state after an update is executed.
`static int` | `BEFOREDELETE` Constant for trigger state before a delete is executed.
`static int` | `BEFOREINSERT` Constant for trigger state before an insert is executed.
`static int` | `BEFOREUPDATE` Constant for trigger state before an update is executed.
`static int` | `DELETE` Constant for a DataSet record that is to be deleted.
`static int` | `INSERT` Constant for a DataSet record that is to be inserted.
`static int` | `ORACLE` Constant for an Oracle-specific type.
`static int` | `SQLSERVER` Constant for a SQLServer-specific type.
`static int` | `SYBASE` Constant for a Sybase-specific type.
`static int` | `UNKNOWN` Constant for an Unknown type.
`static int` | `UPDATE` Constant for a DataSet record that is to be updated.
`static int` | `ZOMBIE` Constant for a DataSet record that has been deleted but not yet removed.

Constructor Summary
`Enums()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ZOMBIE

    public static final int ZOMBIE

  Constant for a DataSet record that has been deleted but not yet removed.

### DELETE

    public static final int DELETE

  Constant for a DataSet record that is to be deleted.

### UPDATE

    public static final int UPDATE

  Constant for a DataSet record that is to be updated.

### INSERT

    public static final int INSERT

  Constant for a DataSet record that is to be inserted.

### BEFOREDELETE

    public static final int BEFOREDELETE

  Constant for trigger state before a delete is executed.

### AFTERDELETE

    public static final int AFTERDELETE

  Constant for trigger state after a delete is executed.

### BEFOREINSERT

    public static final int BEFOREINSERT

  Constant for trigger state before an insert is executed.

### AFTERINSERT

    public static final int AFTERINSERT

  Constant for trigger state after an insert is executed.

### BEFOREUPDATE

    public static final int BEFOREUPDATE

  Constant for trigger state before an update is executed.

### AFTERUPDATE

    public static final int AFTERUPDATE

  Constant for trigger state after an update is executed.

### UNKNOWN

    public static final int UNKNOWN

  Constant for an Unknown type.

### ORACLE

    public static final int ORACLE

  Constant for an Oracle-specific type.

### SYBASE

    public static final int SYBASE

  Constant for a Sybase-specific type.

### SQLSERVER

    public static final int SQLSERVER

  Constant for a SQLServer-specific type.

Constructor Detail

### Enums

    public Enums()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD